<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Data Hasil Upload</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel tile fixed_height_160">
                <div class="x_title" >
                    <h1 th:if="${jumlahBaris}">Hasil Upload Landing Page</h1>
                    <h1 th:unless="${jumlahBaris}">Upload belum dilakukan</h1>
                    <div class="clearfix"></div>
                </div>
                <div class="row clearfix" >
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="row clearfix">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                <div class="card">
                                    <div class="row clearfix">
                                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                            <!--Table-->
                                            <div class="body">
                                                <hr>
                                                <div class="table-responsive" th:if="${jumlahBaris}">
                                                    <h4>Upload Selesai</h4>
                                                    <table class="table table-bordered table-striped table-hover">
                                                        <tbody>
                                                        <tr>
                                                            <td>Jumlah baris yang diproses</td>
                                                            <td th:text="${jumlahBaris}">1000</td>
                                                        </tr><tr>
                                                            <td>Jumlah baris sukses</td>
                                                            <td th:text="${jumlahSukses}">990</td>
                                                        </tr><tr>
                                                            <td>Jumlah baris error</td>
                                                            <td th:text="${jumlahError}">10</td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                                <div class="table-responsive" th:unless="${#lists.isEmpty(errors)}">
                                                    <h4 >Gagal Diproses</h4>
                                                    <div style="overflow: auto">
                                                        <table class="table table-bordered table-striped table-hover">
                                                            <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>Nomor Baris</th>
                                                                <th>Keterangan Error</th>
                                                                <th>Data</th>
                                                            </tr>
                                                            </thead>
                                                            <tbody>
                                                            <tr th:each="err, rowStat : ${errors}">
                                                                <td th:text="${rowStat.count}">1</td>
                                                                <td th:text="${err.baris}">20</td>
                                                                <td th:text="${err.keterangan}">Format Tanggal Salah</td>
                                                                <td><pre th:text="${err.data}">2018011235,Pendaftar 005,201801123501,Tagihan Pendaftaran 005,500005.12,5 Jan 2019</pre></td>
                                                            </tr>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                            <!--//table//-->
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>

</body>
</html>